//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HOD.Data.Entities
{
    using System;
    using System.Collections.Generic;
    
    public partial class Message
    {
        public long MessageId { get; set; }
        public int MessageTypeId { get; set; }
        public System.Guid ConversationId { get; set; }
        public int FromUser { get; set; }
        public int ToUser { get; set; }
        public string Subject { get; set; }
        public string Body { get; set; }
        public System.DateTime MessageDate { get; set; }
        public bool MessageRead { get; set; }
        public int ListingID { get; set; }
    
        public virtual MessageType MessageType { get; set; }
        public virtual UserProfile UserProfile { get; set; }
        public virtual UserProfile UserProfile1 { get; set; }
    }
}
